1. Payment Gateway
TrustPay
en
  • en
  • zh
  • Integration Guide
  • Payment Gateway
    • Payment Callback Specification
    • Enums
    • Risk Control – Merchant Integration
    • C21 Suport Regions
      • TrustPay Supported Billing Countries and US/Canada Regions
    • Card Direct Payin
      POST
    • Cashier Payin
      POST
    • Payment Callback
      POST
    • Balance
      POST
    • Order Query
      POST
    • Order Refund
      POST
    • Fee Query
      POST
  • Credit Card Issuer
    • Available Card
      POST
    • Open Card
      POST
    • Open/Recharge Card Callback
      POST
    • Get Card Detail
      POST
    • Card Recharge
      POST
    • Order List
      POST
    • Card List
      POST
    • Transaction List
      POST
    • Fee Query
      POST
  • Physical Card Issuer
    • Create Cardholder
      POST
    • List Cardholders
      POST
    • Assign Physical Cards
      POST
    • List Assigned Physical Cards
      POST
    • Query Card Balance
      POST
    • Query Card Transactions
      POST
    • Query Account
      POST
    • Card Charge
      POST
  • Schemas
    • VCardDetail
    • VOrderDetail
  1. Payment Gateway

Order Query

POST
/v4/query/order
Query the status and details of a specific order by order no

Request

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.trustpay.money/v4/query/order' \
--header 'Content-Type: application/json' \
--data '{
    "order_no": "vAlE1xm8MR7wA0fYMdEeh9mk",
    "sign": "a22460490c6c0f6bb424789b85807dd4"
}'
Response Response Example
{
    "code": 880001,
    "message": "success",
    "data": {
        "order_no": "prod-test-payin-4",
        "platform_order_no": "8XyDd93WEJsyXRKdUOeBTSIQ",
        "type_id": 0,
        "merchant_id": 8820250900009,
        "currency": "USD",
        "order_amount": 20,
        "paid_amount": 20,
        "refund_amount": 0,
        "fee": 4.5,
        "status": 6,
        "reason": "",
        "notify_status": 3,
        "notify_time": "2025-12-30T23:51:07.381428Z",
        "create_time": "2025-12-30T18:46:02.616482Z"
    }
}
Modified at 2026-02-27 13:42:59
Previous
Balance
Next
Order Refund
Built with